org.springframework.data.convert

## Enum JodaTimeConverters.DateTimeToDateConverter

- java.lang.Object
- - java.lang.Enum<JodaTimeConverters.DateTimeToDateConverter>
  - - org.springframework.data.convert.JodaTimeConverters.DateTimeToDateConverter

All Implemented Interfaces:
  Serializable, Comparable<JodaTimeConverters.DateTimeToDateConverter>, Converter<org.joda.time.DateTime,Date>

Enclosing class:
  JodaTimeConverters

Deprecated.

    @Deprecated
    public static enum JodaTimeConverters.DateTimeToDateConverter
    extends Enum<JodaTimeConverters.DateTimeToDateConverter>
    implements Converter<org.joda.time.DateTime,Date>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Date` `convert(org.joda.time.DateTime source)` Deprecated.
`static JodaTimeConverters.DateTimeToDateConverter` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static JodaTimeConverters.DateTimeToDateConverter[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

### Enum Constant Detail

#### INSTANCE

    public static final JodaTimeConverters.DateTimeToDateConverter INSTANCE

Deprecated.

### Method Detail

#### values

    public static JodaTimeConverters.DateTimeToDateConverter[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JodaTimeConverters.DateTimeToDateConverter c : JodaTimeConverters.DateTimeToDateConverter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JodaTimeConverters.DateTimeToDateConverter valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### convert

    @Nonnull
    public Date convert(org.joda.time.DateTime source)

Deprecated.

Specified by:
  `convert` in interface `Converter<org.joda.time.DateTime,Date>`